Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now
ChargebeeAPI

List events

Retrieves list of events.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v1/events

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

start_time
optional, integer

Returns only the events that occured at/after this time.

end_time
optional, integer

Returns only the events that occured at/before this time.

webhook_status
optional, enumerated string

Returns the events (occurred in the past 6 days) which has this status in any of the events' webhooks. Note: To retrieve events which have occurred before the 6 day period, use the occurred_at(start_time/end_time) attribute.

Enum Values
not_configured
scheduled
succeeded
re_scheduled
failed
skipped
not_applicable
disabled
event_type
optional, enumerated string

Specify it if you need to fetch events of a particular type.

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Event object
Resource object representing event